cURL
curl --request GET \ --url https://api-v2.polyrouter.io/awards/{id} \ --header 'X-API-Key: <api-key>'
{ "data": { "id": "nfl_mvp_2024", "award_name": "NFL MVP", "league": "nfl", "season": 2024, "award_type": "mvp", "markets": [ { "platform": "polymarket", "market_id": "pm_mvp_2024", "candidates": [ { "player_name": "Patrick Mahomes", "odds": { "american": "+150", "decimal": 2.5, "implied_probability": 0.4 }, "team_polyrouter_id": "nfl_kc", "volume_24h": 15000, "last_trade_price": 0.35, "metadata": {} } ] } ], "metadata": { "deadline": "<string>", "description": "<string>", "eligibility": "<string>" } }, "meta": { "platforms_queried": [ "polymarket", "kalshi", "prophetx" ], "request_time": 250, "data_freshness": "2025-01-01T00:00:00.000Z", "platform_errors": {} } }
Fetch a single award with live market data from all platforms
Documentation IndexFetch the complete documentation index at: https://docs.polyrouter.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.polyrouter.io/llms.txt
Use this file to discover all available pages before exploring further.
API key for authentication
Award ID
"nfl_mvp_2024"
Award details with market data
Show child attributes